org.deidentifier.arx.test

## Class DataProvider

- java.lang.Object
- - org.deidentifier.arx.test.DataProvider

    public class DataProvider
    extends java.lang.Object

Provides data for test cases.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`DataProvider()` Init.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createDataDefinition()` Returns a standard data definition.
`void` `createDataDefinitionMissing()` Returns a standard data definition.
`void` `createDataDefinitionWithHeightOne()` Returns a standard data definition.
`void` `createWrongDataDefinition()` Returns a standard data definition.
`AttributeType.Hierarchy.DefaultHierarchy` `getAge()`
`Data.DefaultData` `getData()`
`AttributeType.Hierarchy.DefaultHierarchy` `getGender()`
`AttributeType.Hierarchy.DefaultHierarchy` `getZipcode()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataProvider

    public DataProvider()

Init.

### Method Detail

#### createDataDefinition

    public void createDataDefinition()

Returns a standard data definition.

#### createDataDefinitionMissing

    public void createDataDefinitionMissing()

Returns a standard data definition.

#### createDataDefinitionWithHeightOne

    public void createDataDefinitionWithHeightOne()

Returns a standard data definition.

#### createWrongDataDefinition

    public void createWrongDataDefinition()

Returns a standard data definition.

#### getAge

    public AttributeType.Hierarchy.DefaultHierarchy getAge()

Returns:
  the age

#### getData

    public Data.DefaultData getData()

Returns:
  the data

#### getGender

    public AttributeType.Hierarchy.DefaultHierarchy getGender()

Returns:
  the gender

#### getZipcode

    public AttributeType.Hierarchy.DefaultHierarchy getZipcode()

Returns:
  the zipcode